Summary: Allows several audio streams to play on a single audio device
Name:    esound
Version: 0.2.41
Release: 1
License: LGPL
URL: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}
Group: System Environment/Daemons
Source0: http://ftp.gnome.org/pub/gnome/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
Source1: http://ftp.gnome.org/pub/gnome/sources/%{name}/0.2/%{name}-%{version}.sha256sum

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: audiofile-devel
Requires: audiofile

%description
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from ICQ, the two applications won't have to
queue for the use of your sound card.

Install esound if you'd like to let sound applications share your
audio device. You'll also need to install the audiofile package.

The library is available as 32-bit and 64-bit.


%package tools
Summary: Commandline tools to talk to the EsounD daemon
Group: System Environment/Base
Requires: esound = %{version}-%{release}

%description tools
The esound-tools package includes commandline utilities
for controlling the EsounD daemon.


%package devel
Summary: Development files for EsounD applications
Group: Development/Libraries
Requires: esound = %{version}-%{release}
Requires: audiofile-devel
Requires: pkg-config

%description devel
The esound-devel package includes the libraries, include files and
other resources needed to develop EsounD applications.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp .libs/libesd.so.0 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libesd.a ./libesd.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING.LIB ChangeLog docs/esound.sgml
%doc NEWS README TIPS TODO
%config(noreplace) %{_sysconfdir}/esd.conf
%{_libdir}/*.a
/usr/lib/*.a


%files tools
%{_bindir}/esd
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdmon
%{_bindir}/esdplay
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esd.1
%{_mandir}/man1/esdcat.1
%{_mandir}/man1/esdctl.1
%{_mandir}/man1/esdfilt.1
%{_mandir}/man1/esdloop.1
%{_mandir}/man1/esdmon.1
%{_mandir}/man1/esdplay.1
%{_mandir}/man1/esdrec.1
%{_mandir}/man1/esdsample.1
/usr/bin/esd
/usr/bin/esdcat
/usr/bin/esdctl
/usr/bin/esdfilt
/usr/bin/esdloop
/usr/bin/esdmon
/usr/bin/esdplay
/usr/bin/esdrec
/usr/bin/esdsample


%files devel
%defattr(-,root,system,-)
%{_bindir}/esd-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/esd-config.1
%{_datadir}/aclocal/*
/usr/bin/esd-config
/usr/lib/*.la


%changelog
* Mon Dec 14 2009 Michael Perzl <michael@perzl.org> - 0.2.41-1
- updated to version 0.2.41

* Wed Jul 16 2008 Michael Perzl <michael@perzl.org> - 0.2.39-1
- updated to version 0.2.39

* Tue Apr 15 2008 Michael Perzl <michael@perzl.org> - 0.2.38-1
- first version for AIX V5.1 and higher
